Debian Bug report logs - #592144
sponge: Please add option to do atomic rename into place

version graph

Package: moreutils; Maintainer for moreutils is Joey Hess <joeyh@debian.org>; Source for moreutils is src:moreutils.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sat, 7 Aug 2010 18:51:01 UTC

Severity: wishlist

Found in version moreutils/0.40

Fixed in version moreutils/0.42

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Joey Hess <joeyh@debian.org>:
Bug#592144; Package moreutils. (Sat, 07 Aug 2010 18:51:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sponge: Please add option to do atomic rename into place
Date: Sat, 07 Aug 2010 11:48:04 -0700
Package: moreutils
Version: 0.40
Severity: wishlist

When writing a careful shell script, I sometimes need to generate some
output, send it to a temporary file, and then atomically rename the
result over a target file, to avoid truncating the target and writing
incremental results.  sponge seems like the right tool to do this.  It
already has support for atomic renaming if it has enough data to force
it to use a temporary file.  Would you consider adding an option to
*always* use a temporary file?

Alternatively, should this just be sponge's default behavior, to always
write to a temporary file and rename into place?

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages moreutils depends on:
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  perl                          5.10.1-14  Larry Wall's Practical Extraction 

moreutils recommends no packages.

Versions of packages moreutils suggests:
pn  libtime-duration-perl         <none>     (no description available)
ii  libtimedate-perl              1.2000-1   collection of modules to manipulat

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#592144; Package moreutils. (Mon, 13 Sep 2010 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Mon, 13 Sep 2010 21:18:03 GMT) Full text and rfc822 format available.

Message #8 received at 592144@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Josh Triplett <josh@joshtriplett.org>, 592144@bugs.debian.org
Subject: Re: Bug#592144: sponge: Please add option to do atomic rename into place
Date: Mon, 13 Sep 2010 15:46:03 -0400
[Message part 1 (text/plain, inline)]
Josh Triplett wrote:
> When writing a careful shell script, I sometimes need to generate some
> output, send it to a temporary file, and then atomically rename the
> result over a target file, to avoid truncating the target and writing
> incremental results.  sponge seems like the right tool to do this.  It
> already has support for atomic renaming if it has enough data to force
> it to use a temporary file.  Would you consider adding an option to
> *always* use a temporary file?
> 
> Alternatively, should this just be sponge's default behavior, to always
> write to a temporary file and rename into place?

Yes, I think it makes sense for sponge to always rename the file into
place after it finishes writing it.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 21:18:07 GMT) Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Thu, 07 Oct 2010 00:21:09 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Thu, 07 Oct 2010 00:21:09 GMT) Full text and rfc822 format available.

Message #15 received at 592144-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 592144-close@bugs.debian.org
Subject: Bug#592144: fixed in moreutils 0.42
Date: Thu, 07 Oct 2010 00:17:05 +0000
Source: moreutils
Source-Version: 0.42

We believe that the bug you reported is fixed in the latest version of
moreutils, which is due to be installed in the Debian FTP archive:

moreutils_0.42.dsc
  to main/m/moreutils/moreutils_0.42.dsc
moreutils_0.42.tar.gz
  to main/m/moreutils/moreutils_0.42.tar.gz
moreutils_0.42_i386.deb
  to main/m/moreutils/moreutils_0.42_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592144@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated moreutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 06 Oct 2010 20:03:25 -0400
Source: moreutils
Binary: moreutils
Architecture: source i386
Version: 0.42
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 moreutils  - additional Unix utilities
Closes: 592144 596032
Changes: 
 moreutils (0.42) unstable; urgency=low
 .
   * sponge: Guarantee that output file is always updated atomically,
     by renaming a temp file into place. Closes: #592144
   * sponge: Ensure that output file permissions are always preserved
     if it already exists.
   * Typo. Closes: #596032
Checksums-Sha1: 
 6f0e64c2e1e017cf3e144f19e0b508c2b59854da 1463 moreutils_0.42.dsc
 8644f01fe27a042295c92c92ae64a837e88d9986 43296 moreutils_0.42.tar.gz
 e2df427b71519bbc44e56cbb5074d9f8ffa1034f 51004 moreutils_0.42_i386.deb
Checksums-Sha256: 
 b5118ce42d0b69207e07d130467de9b9b6dd76be3b8af98761c5fd8cd75fadd5 1463 moreutils_0.42.dsc
 71cf9b37dd5093d51c4c7bbebca786bee54806b13b9c6be683f486fc0d5b614f 43296 moreutils_0.42.tar.gz
 18ca8c1dae71357a97d021925abdd03428f34a71b5b1d3793c4220b1b97053ed 51004 moreutils_0.42_i386.deb
Files: 
 34e6984577337802785af5c56172d542 1463 utils optional moreutils_0.42.dsc
 9bac64540b315e9008521a9fea19d9ab 43296 utils optional moreutils_0.42.tar.gz
 d3ee047b359807c6e69b20b23d38aaa0 51004 utils optional moreutils_0.42_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTK0O7ckQ2SIlEuPHAQjR+A//csUY+/PCdbZ6a95Wz/p4hhy/OlcJpFF3
/hc+fRfiHORszvWxErYWGSjN44Xksm9N60bccpILjsQkviX7DNZeMiC69wcY781K
qgAbyK9MTLA2j/Tynlo+zrfytiOEg5KGdMXd+YtAC2/WbWGch3NRt9LVdQJRSd5k
TuUadaZ1dW3GaE/Ad+xJK+Q0GMEVc6oYe1XD4kfoHghrFwt2aigLulQ6d/3ANHay
2zFWn6WsXd66B8PXrjfh6KcyOqOAJisVOIyLceFLc/Yide06/6AFy+jigU28uetK
MVWya8agovQA3/p8gnnBS7IoQe2GszHOoVYASSe4GYUUOvwrm9q4jv52vDzUkBq0
0g+oP8Rp3KjRqZ/qoxToigbbPdRzl0MjGDEHOxvmjg2RY9jUkI9i6zVwUPSzQcv4
tK73VkP9/3hKMEcVfUFehb2ZGbtUsi5FZ7cSk45V5DJogIeNedJSekWIqc73Yh8D
DsWxEKMmsVRDCLBZn43Q+tcRxHkNtkcwg5//cbJON1WyhpytYvFZETJ+wZiYCPez
GUaOwhVYhoNAjVDg93wF2n75DnyI7h88O6ClRNtw9JgdWHW+ArM7aQtNpdqoAMG9
JmJo5h1+gc/LT898vHurXNAj1364jCAk6gjjv9Zz6+CrCAsausCfSQF/NYmVbS/n
+Lu5CfbbfdY=
=hFDe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:57:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:59:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.